Subject: bug#31118: 27.0.50; Can't load/compile websocket in 32bit master

From: Stefan Monnier <[email-masked]>
Date: Sun, 15 Apr 2018 21:26:54 -0400

> Although I still can't build ELPA (see Bug#31118#31), I took a shot at
> making ELPA build for 32-bit Emacs on master by installing the attached
> patches into the xelb and exwm packages, respectively.

I think a major problem remains: these problems in GNU ELPA packages
probably also affect other packages that we can't patch so easily.

So I think we should reconsider whether reading something like
#xffffffff in a 32bit build should signal an error.

More specifically, I think we should first make it emit a warning, while
keeping the old broken behavior.  Then in a later release we can make it
signal an error.

        Stefan